Groovy Documentation

## org.codehaus.groovy.tools.javac
[Java] Class JavacJavaCompiler

    java.lang.Object
      org.codehaus.groovy.tools.javac.JavacJavaCompiler

All Implemented Interfaces:
  JavaCompiler

    public class JavacJavaCompiler
    extends java.lang.Object

Constructor Summary
`JavacJavaCompiler(CompilerConfiguration config)`

Method Summary
`void` | `compile(java.util.List files, CompilationUnit cu)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JavacJavaCompiler

    public JavacJavaCompiler(CompilerConfiguration config)

Method Detail

### compile

    public void compile(java.util.List files, CompilationUnit cu)

Groovy Documentation